#!/bin/sh
#check_ossec.sh (c)2008 Hurricane Labs
#Author: Steve McMaster (mcmaster at hurricanelabs.com) 

[ -r /etc/ossec-init.conf ] && . /etc/ossec-init.conf

if [ -z "${DIRECTORY}" ]; then
	echo "UNKNOWN: Cannot determine OSSEC directory. OSSEC may not be installed"
	exit 3
elif [ "$TYPE" = "agent" ]; then
	echo "UNKNOWN: Target is not an OSSEC server"
	exit 3
fi

AGENTS=`sudo -b ${DIRECTORY}/bin/list_agents -c &`
sleep 1
if [ `kill -0 $$` ]; then
	echo "UNKNOWN: Unable to execute list_agents. Is sudo configured?"
	exit 3
fi

AGENTS=`echo $AGENTS | grep -c -- "-$1 is active"`
if [ "$AGENTS" = "0" ]; then
	echo "CRITICAL: Agent is not connected"
	exit 2
else
	echo "OK: Agent is connected"
	exit 0
fi
